Updated: 2014-07-11 Due date:
Has patch: Yes
Complexity:
Subject: ActionRequest should not serialize parent HTTP request
Description

When working with WebRedirects and authentication, the intercepted
request is serialized with the security context. While it makes sense
to do so, we should not include the reference to the base HTTP request
in this case, as this includes lots of cruft like $_SERVER etc.

Related issues:
related to TYPO3.Flow - Bug # 49289: Serialization error on WebRedirect with ... Resolved 2013-06-20

Associated revisions
Revision 6ec233ef - 2013-11-25 14:03 - Sebastian Kurfuerst

[BUGFIX] ActionRequest should not serialize parent HTTP request

When working with WebRedirects and authentication, the intercepted
request is serialized with the security context. While it makes sense
to do so, we should not include the reference to the base HTTP request
in this case, as this includes lots of cruft like $_SERVER etc.

In order to test this, just look at the serialized session files
when a web redirect is taking place.

Change-Id: Ie8f27af4446711f1573da6ecfc3b00db80509c5c
Releases: master, 2.0
Resolves: #53931

Revision 896a47d5 - 2013-12-03 21:08 - Sebastian Kurfuerst

[BUGFIX] ActionRequest should not serialize parent HTTP request

When working with WebRedirects and authentication, the intercepted
request is serialized with the security context. While it makes sense
to do so, we should not include the reference to the base HTTP request
in this case, as this includes lots of cruft like $_SERVER etc.

In order to test this, just look at the serialized session files
when a web redirect is taking place.

Change-Id: Ie8f27af4446711f1573da6ecfc3b00db80509c5c
Releases: master, 2.0
Resolves: #53931

History
#1 - 2013-11-25 14:03 - Sebastian Kurfuerst
- Category set to MVC
- Assigned To set to Sebastian Kurfuerst
- Target version set to 2.0.1
- PHP Version set to 5.3
- Has patch changed from No to Yes

#2 - 2013-11-25 14:03 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/25675

#3 - 2013-12-03 21:08 - Gerrit Code Review

Patch set 1 for branch 2.0 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/25927

#4 - 2014-07-11 20:19 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6ec233ef27a1c903617a48947026512e5098bf15.
